Halide 22.0.0 Halide compiler and libraries

Public Attributes | List of all members
Halide::Runtime::Internal::LinkedList::EntryType Struct Reference

`#include <linked_list.h>`

## Public Attributes
void * | value = nullptr
EntryType * | prev_ptr = nullptr
EntryType * | next_ptr = nullptr

## Detailed Description

Definition at line 23 of file linked_list.h.

## Member Data Documentation

## ◆ value

void* Halide::Runtime::Internal::LinkedList::EntryType::value = nullptr

Definition at line 24 of file linked_list.h.

Referenced by Halide::Runtime::Internal::LinkedList::append(), Halide::Runtime::Internal::BlockAllocator::collect(), Halide::Runtime::Internal::LinkedList::insert_after(), Halide::Runtime::Internal::LinkedList::insert_before(), Halide::Runtime::Internal::BlockAllocator::pool_size(), Halide::Runtime::Internal::LinkedList::prepend(), and Halide::Runtime::Internal::BlockAllocator::reserve().

## ◆ prev_ptr

EntryType* Halide::Runtime::Internal::LinkedList::EntryType::prev_ptr = nullptr

Definition at line 25 of file linked_list.h.

Referenced by Halide::Runtime::Internal::LinkedList::append(), Halide::Runtime::Internal::LinkedList::clear(), Halide::Runtime::Internal::BlockAllocator::collect(), Halide::Runtime::Internal::BlockAllocator::destroy(), Halide::Runtime::Internal::LinkedList::insert_after(), Halide::Runtime::Internal::LinkedList::insert_before(), Halide::Runtime::Internal::LinkedList::pop_back(), Halide::Runtime::Internal::LinkedList::pop_front(), Halide::Runtime::Internal::LinkedList::prepend(), Halide::Runtime::Internal::BlockAllocator::release(), and Halide::Runtime::Internal::LinkedList::remove().

## ◆ next_ptr

EntryType* Halide::Runtime::Internal::LinkedList::EntryType::next_ptr = nullptr

Definition at line 26 of file linked_list.h.

Referenced by Halide::Runtime::Internal::LinkedList::append(), Halide::Runtime::Internal::LinkedList::insert_after(), Halide::Runtime::Internal::LinkedList::insert_before(), Halide::Runtime::Internal::BlockAllocator::pool_size(), Halide::Runtime::Internal::LinkedList::pop_back(), Halide::Runtime::Internal::LinkedList::pop_front(), Halide::Runtime::Internal::LinkedList::prepend(), and Halide::Runtime::Internal::LinkedList::remove().

The documentation for this struct was generated from the following file:

- src/runtime/internal/linked_list.h